# Invoke-RASImportSettings

### NAME

Invoke-RASImportSettings\ <br>

### SYNOPSIS

Imports the Parallels RAS farm configuration from a file.\ <br>

### SYNTAX

Invoke-RASImportSettings \[-[FilePath](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASImportSettings.html#FilePath)] *\<string>* \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASImportSettings.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

Imports the Parallels RAS farm configuration from a file.\
\
A file containing the farm configuration can be created using the Invoke-RASExportSettings cmdlet or from the RAS console.\ <br>

### PARAMETERS

\
-**FilePath \<string>**\
File name and path containing a farm configuration.\
\
The standard Parallels RAS filename extension for these files is '.dat2'.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

-none-

### OUTPUTS

-none-

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Invoke-RASImportSettings "C:\Backup\RAS-backup.dat2"\
\
Imports the Parallels RAS farm configuration from the specified file.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/invoke-rasimportsettings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
